For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Payments
            • POSTProcess Payments
          • Stored Instruments (Beta)
        • Methods
          • Transactions (Beta)
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminPaymentsProcessing

Process Payments

POST
https://payments.bigcommerce.com/stores/:store_hash/payments
POST
/stores/:store_hash/payments
$curl -X POST https://payments.bigcommerce.com/stores/store_hash/payments \
> -H "Accept: application/vnd.bc.v1+json" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "payment": {
> "instrument": {
> "type": "card",
> "cardholder_name": "Jane Doe",
> "number": "4111111111111111",
> "expiry_month": 12,
> "expiry_year": 2020,
> "verification_value": "411"
> },
> "payment_method_id": "authorizenet.card",
> "save_instrument": true
> }
>}'
1{
2 "id": "227d9e1e-94f8-408c-95a5-f97b30592eb7",
3 "transaction_type": "authorization",
4 "status": "pending"
5}

Process payments for an order. See Payment Processing for more information.

Was this page helpful?
Previous

Payment Processing

Next

Attach Instrument to Customer

Built with

Authentication

AuthorizationBearer
### OAuth scopes The required scopes are granted to the `payment_access_token` upon generation. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| |`Authorization`|`PAT {{PAYMENT_ACCESS_TOKEN}}`| Obtained using the Create Access Token endpoint.| ### Further reading For an outline of the Process Payment API call flow and more information about authenticating, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#bigcommerce-generated-jwts). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptenumRequiredDefaults to application/vnd.bc.v1+json

This required value must be application/vnd.bc.v1+json.

Allowed values:

Request

This endpoint expects an object.
paymentobjectRequired

Response

Payment has been successfully processed
idstring
Identifier for this transaction
transaction_typeenum
Transaction type for this payment
Allowed values:
statusenum
Status to indicate a success response
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
422
Unprocessable Entity Error

OAuth scopes

The required scopes are granted to the payment_access_token upon generation.

Authentication header

HeaderArgumentDescription
AuthorizationPAT {{PAYMENT_ACCESS_TOKEN}}Obtained using the Create Access Token endpoint.

Further reading

For an outline of the Process Payment API call flow and more information about authenticating, see Authentication and Example Requests.

For a list of API status codes, see API Status Codes.